Package com.tietoenator.trip.jxp.ccl

# Class TdbHistoryDetail

java.lang.Object
com.tietoenator.trip.jxp.ccl.TdbHistoryDetail

public class TdbHistoryDetail extends Object
Container for CCL search history elements

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbHistoryDetail()`
  Constructor, creates a blank instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDatabase()`
  Retrieve the name of the database or cluster that was used with the search.
  `int`
  `getHitCount()`
  Retrieve the number of terms hit by the search to which this history entry relates
  `long`
  `getLongHitCount()`
  Retrieve the number of terms hit by the search to which this history entry relates
  `long`
  `getLongRecordCount()`
  Retrieve the number of records contained within the search set
  `String`
  `getParsedCommand()`
  Retrieve a parsed version of the CCL command that generated the search
  `int`
  `getRecordCount()`
  Retrieve the number of records contained within the search set
  `int`
  `getSearchId()`
  Retrieve the unique ID of the search set to which this history entry relates

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbHistoryDetail

    public TdbHistoryDetail()
    Constructor, creates a blank instance

- ## Method Details

  - ### getDatabase

    public String getDatabase()
    Retrieve the name of the database or cluster that was used with the search.

    This property requires TRIPsystem 7.2-1 or later on the server. For older TRIPsystem versions, this property will return an empty string.

    Returns:
      The database name
    Since:
      7.2-1

  - ### getParsedCommand

    public String getParsedCommand()
    Retrieve a parsed version of the CCL command that generated the search
    Returns:
      The parsed command

  - ### getSearchId

    public int getSearchId()
    Retrieve the unique ID of the search set to which this history entry relates
    Returns:
      The search set ID

  - ### getRecordCount

    public int getRecordCount()
    Retrieve the number of records contained within the search set
    Returns:
      Record count If the record count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual record count of search sets with more than Integer.MAX_VALUE records, use the #getLongRecordCount() method.

  - ### getLongRecordCount

    public long getLongRecordCount()
    Retrieve the number of records contained within the search set
    Returns:
      Record count
    Since:
      8.0

  - ### getHitCount

    public int getHitCount()
    Retrieve the number of terms hit by the search to which this history entry relates
    Returns:
      Hit term count If the hit count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual hit count of search sets with more than Integer.MAX_VALUE hits, use the getLongHitCount() method. Note that a record in a search set may have more than one hit, so there is a one-to-many relationship between record count and hit count.

  - ### getLongHitCount

    public long getLongHitCount()
    Retrieve the number of terms hit by the search to which this history entry relates
    Returns:
      Hit term count Note that a record in a search set may have more than one hit, so there is a one-to-many relationship between record count and hit count.
    Since:
      8.0